Bug 1323116 - [RFE] REST APIs for Gluster
Summary: [RFE] REST APIs for Gluster
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aravinda VK
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-01 10:20 UTC by Aravinda VK
Modified: 2018-03-13 08:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-13 08:03:58 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Aravinda VK 2016-04-01 10:20:29 UTC
Description of problem:

REST APIs for Gluster Management. Applications sitting outside the cluster can easily manage the Gluster using REST APIs.

REST APIs are required for Volume management, Bricks management and Peers management.

Example of REST API consumption - Get all Volumes information

curl -X GET http://any-peer-node/v1/volumes

Comment 1 Vijay Bellur 2016-04-01 13:28:01 UTC
REVIEW: http://review.gluster.org/13887 (restapi: REST API Server and Client implementation) posted (#1) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 2 Vijay Bellur 2016-04-04 15:36:12 UTC
REVIEW: http://review.gluster.org/13887 (restapi: REST API Server and Client implementation) posted (#2) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 3 Vijay Bellur 2016-04-05 14:40:32 UTC
REVIEW: http://review.gluster.org/13887 (restapi: REST API Server and Client implementation) posted (#3) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 4 Vijay Bellur 2016-04-06 08:40:43 UTC
REVIEW: http://review.gluster.org/13887 (restapi: REST API Server and Client implementation) posted (#4) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 5 Vijay Bellur 2016-04-12 10:07:56 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#1) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 6 Vijay Bellur 2016-04-13 07:12:26 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#2) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 7 Vijay Bellur 2016-04-13 07:12:28 UTC
REVIEW: http://review.gluster.org/13986 (restapi: Golang CLI Wrappers for Volume operations) posted (#1) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 8 Vijay Bellur 2016-04-13 12:46:05 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#3) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 9 Vijay Bellur 2016-04-13 12:46:08 UTC
REVIEW: http://review.gluster.org/13991 (restapi: CLI for managing REST and Eventing Services) posted (#1) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 10 Vijay Bellur 2016-04-13 12:47:44 UTC
REVIEW: http://review.gluster.org/13991 (restapi: CLI for managing REST and Eventing Services) posted (#2) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 11 Vijay Bellur 2016-04-14 07:24:39 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#4) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 12 Vijay Bellur 2016-04-14 10:20:22 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#5) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 13 Vijay Bellur 2016-04-14 10:20:24 UTC
REVIEW: http://review.gluster.org/13996 (restapi: REST Server implementation) posted (#1) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 14 Vijay Bellur 2016-04-19 10:26:28 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#6) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 15 Vijay Bellur 2016-04-19 12:10:13 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#7) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 16 Vijay Bellur 2016-04-25 10:40:50 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#8) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 17 Vijay Bellur 2016-04-26 06:36:50 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#9) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 18 Vijay Bellur 2016-04-26 07:39:41 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#10) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 19 Vijay Bellur 2016-04-26 08:19:06 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#11) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 20 Vijay Bellur 2016-04-26 09:45:42 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#12) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 21 Vijay Bellur 2016-04-26 10:57:02 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#13) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 22 Vijay Bellur 2016-04-27 11:17:41 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#14) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 23 Vijay Bellur 2016-04-28 12:02:24 UTC
REVIEW: http://review.gluster.org/13977 (restapi: Skeleton of REST API Server and Eventing Framework) posted (#15) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 24 Niels de Vos 2016-05-10 11:50:11 UTC
This didnt make it for GlusterFS 3.8, moving out of the tracking tree.

Comment 25 Aravinda VK 2018-03-13 08:03:58 UTC
Glusterd2 will have native REST APIs. Closing this feature request for 3.x series


Note You need to log in before you can comment on or make changes to this bug.